{{- define "common.labels" }}
helm.sh/chart: {{ include "application.chart" . }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
{{ include "common.selectorLabels" . }}
{{- end }}

{{- define "common.selectorLabels" }}
app.kubernetes.io/name: {{ include "application.name" . }}
{{- end }}

{{- define "migrations.labels" }}
{{ include "common.labels" . }}
app.kubernetes.io/component: migrations
{{- end }}

{{- define "migrations.selectorLabels" }}
{{- include "common.selectorLabels" . }}
app.kubernetes.io/component: migrations
{{- end }}


{{- define "cronjob.labels" }}
{{ include "common.labels" . }}
app.kubernetes.io/component: cronjob
{{- end }}

{{- define "cronjob.selectorLabels" }}
{{- include "common.selectorLabels" . }}
app.kubernetes.io/component: cronjob
{{- end }}


{{- define "tasks.labels" }}
{{ include "common.labels" . }}
app.kubernetes.io/component: tasks
{{- end }}

{{- define "tasks.selectorLabels" }}
{{- include "common.selectorLabels" . }}
app.kubernetes.io/component: tasks
{{- end }}

{{- define "tasks.name" }}
{{- include "app.fullname" . }}-tasks
{{- end }}


{{- define "pvc.name" -}}
{{- include "app.fullname" . }}
{{- end -}}
